Lavalite package that provides work_flow management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `test/work_flow`.

    "test/work_flow": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Test\WorkFlow\Providers\WorkFlowServiceProvider::class,

And also add it to alias

    'WorkFlow'  => Test\WorkFlow\Facades\WorkFlow::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Test\\WorkFlowTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Test\WorkFlow\Providers\WorkFlowServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Test\WorkFlow\Providers\WorkFlowServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Test\WorkFlow\Providers\WorkFlowServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/work_flow/{modulename}

**User**

    http://path-to-route-folder/user/work_flow/{modulename}

**Public**

    http://path-to-route-folder/work_flows


### API endpoints

**List**

    http://path-to-route-folder/api/user/work_flow/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/work_flow/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/work_flow/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/work_flow/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/work_flow/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/work_flow/{modulename}/{slug}
    METHOD: GET